: Class ConvertFail

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Util
Class ConvertFail

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.mortbay.Util.ConvertFail

Direct Known Subclasses:
  ArrayConverter.ArrayConvertFail, ContainerIteratorTransformer.ContainerTransformFail, ObjectConverter.ObjectConvertFail

public class ConvertFail
extends java.lang.Exception

A Converter error occurred

Version:
  1.0 Thu Jun 8 2000
Author:
  Matthew Watson (mattw@mortbay.com)
See Also:
  `Converter`, Serialized Form

Constructor Summary
`ConvertFail(java.lang.String desc, java.lang.Class convertTo, java.lang.Object toConvert)`

Method Summary
`java.lang.Class` | `getConvertTo()`
`java.lang.Object` | `getToConvert()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConvertFail

    public ConvertFail(java.lang.String desc,
                       java.lang.Class convertTo,
                       java.lang.Object toConvert)

  Parameters:
    `desc` - Description of error
    `convertTo` - The type trying to convert to.
    `toConvert` - The object trying to convert.

Method Detail

### getConvertTo

    public java.lang.Class getConvertTo()

### getToConvert

    public java.lang.Object getToConvert()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD